---
author:
- Orestis Malaspinas
title: Quelques cours de la filière ISC de hepia
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: book
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
    listing: Liste des exercices
urlcolor: blue
corrige: false
---

<div align="left">
<video width="640" poster="figs/intro.svg" height="360" controls="true" autoplay="false">
   <source src="videos/malaspinas.mp4" type="video/mp4">
</video>
<iframe poster="figs/intro.svg" title="omhepia's player frame" src="https://player.twitch.tv/?channel=omhepia&parent=malaspinas.academy" frameborder="0" allowfullscreen="true" scrolling="no" height="360" width="590">
</iframe>
<!-- <iframe
  id="chat_embed"
  src="https://www.twitch.tv/embed/omhepia/chat?parent=malaspinas.academy"
  height="360"
  width="252">
</iframe> -->
</div>


La chaîne *twitch* de mes cours se trouve sur <https://www.twitch.tv/omhepia>

:::::::::::::: {.columns}
::: {.column width="40%"}

# Première année

# Cours de programmation séquentielle en C

## [Récapitulatif](prog_seq_c_cours/index.html)

## Introduction [PDF](prog_seq_c_cours/intro.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Introduction à l'interface en ligne de commande [PDF](prog_seq_c_cours/command_line.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Base 1 [PDF](prog_seq_c_cours/base_1.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Base 2 [PDF](prog_seq_c_cours/base_2.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Base 3 [PDF](prog_seq_c_cours/base_3.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Base 4 [PDF](prog_seq_c_cours/base_4.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Base 5 [PDF](prog_seq_c_cours/base_5.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Base 6 [PDF](prog_seq_c_cours/base_6.pdf), [git repo](https://gitedu.hesge.ch/programmation_sequentielle/cours)

## Tutoriel git [PDF](git_tuto/git_tutorial.pdf), .gitignore [PDF](git_tuto/git_tutorial_gitignore.pdf), [git repo](https://gitedu.hesge.ch/orestis.malaspin/git_tutorial)

<!-- ## Intro à `make` [PDF](prog_seq_c_cours/make.pdf)

## Tests unitaires et assertions [PDF](prog_seq_c_cours/tests_assertions.pdf)

## Chaînes de caractères [PDF](prog_seq_c_cours/strings.pdf)

## La ligne de commande [PDF](prog_seq_c_cours/ligne_commande.pdf)

## Les pointeurs avancés [PDF](prog_seq_c_cours/pointeurs_avances.pdf) -->

# Exercices de programmation séquentielle en C

## Le nombre secret, [HTML](prog_seq_c_tp/nombre_secret/index.html), [PDF](prog_seq_c_tp/nombre_secret/nombre_secret.pdf), [corrigé](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/nombre_secret/corrige)

## La méthode de la bissection, [HTML](prog_seq_c_tp/bissection/index.html), [PDF](prog_seq_c_tp/bissection/bissection.pdf)

## Les fractions, [HTML](prog_seq_c_tp/fractions/index.html), [PDF](prog_seq_c_tp/fractions/fractions.pdf)

## Tableaux unidimensionnels, [HTML](prog_seq_c_tp/tableaux_unidimensionnels/index.html), [PDF](prog_seq_c_tp/tableaux_unidimensionnels/tableaux_unidimensionnels.pdf), [GFX](prog_seq_c_tp/tableaux_unidimensionnels/gfx_example.tar)

## Allocation dynamique de mémoire, [HTML](prog_seq_c_tp/memoire_frac_tab/index.html), [PDF](prog_seq_c_tp/memoire_frac_tab/memoire_frac_tab.pdf)

## Matrices, [HTML](prog_seq_c_tp/matrices/index.html), [PDF](prog_seq_c_tp/matrices/matrices.pdf)

# Cours de physique appliquée

##  [Polycopié](phys/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/isc_physics), [pdf](phys/cours.pdf)

:::
::: {.column width="60%"}


# Deuxième année

# Mathématiques en technologie de l'information

##  [Polycopié](mti/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info), [pdf](mti/cours.pdf)

##  [Travail pratique: optimisation](mti/tpOptimisation/index.html), [git repo](https://gitedu.hesge.ch/orestis.malaspin/math_tech_info/-/tree/master/travaux_pratiques/tpOptimisation), [pdf](mti/tpOptimisation/tpOptimisation.pdf)

<!-- ##  [Travail pratique: intégrales](mti/tpIntegrales/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info/tree/master/tpIntegrales), [pdf](mti/tpIntegrales/tp_integrales_conv.pdf)

##  [Travail pratique: EDO](mti/tpEdo/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info/tree/master/tpEdo), [pdf](mti/tpEdo/tpEquadiffs.pdf) -->

:::
::::::::::::::

---

# Les projets de bachelor passés

## [Astéroides avec algorithme génétique, T. Ibanez](https://dai.ly/x6tosqh)
## [Pacman, Pong et Phoenix avec technique de renforcement, N. Nufer](https://dai.ly/x6tosqg)

# Cours d'années précédentes

# Programmation concurrente

## [Polycopié](concurrence/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/cours_prog_conc)

# Exercices de programmation concurrente

## TP1: L'ensemble de Julia [PDF](tp_concurrence/julia.pdf), [HTML](tp_concurrence/julia.html)

## TP2: Les threads et verrous [PDF](tp_concurrence/threads.pdf), [HTML](tp_concurrence/threads.html)

## TP3: Structures de données concurrentes [PDF](tp_concurrence/synchro.pdf), [HTML](tp_concurrence/synchro.html)

## TP4: File et workflow [PDF](tp_concurrence/file_workflow.pdf), [HTML](tp_concurrence/file_workflow.html)

## TP5: Variables de condition [PDF](tp_concurrence/variables_condition.pdf), [HTML](tp_concurrence/variables_condition.html)

## Projet: Asteroids [PDF](tp_concurrence/asteroids.pdf), [HTML](tp_concurrence/asteroids.html)

## TP6: Sémaphores [PDF](tp_concurrence/semaphores.pdf), [HTML](tp_concurrence/semaphores.html)

## Projet: Asteroids concurrents [PDF](tp_concurrence/multithreaded_asteroids.pdf), [HTML](tp_concurrence/multithreaded_asteroids.html)

## [Programmation séquentielle en Rust](prog_seq/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/rust)

# Anciens exercices en C (2019-20)

## Tableaux unidimensionnels, [HTML](prog_seq_c_tp/tableaux_unidimensionnels/index.html), [PDF](prog_seq_c_tp/tableaux_unidimensionnels/tableaux_unidimensionnels.pdf), [GFX](prog_seq_c_tp/tableaux_unidimensionnels/gfx_example.tar.gz)

## Les matrices, [HTML](prog_seq_c_tp/matrices_intro/index.html), [PDF](prog_seq_c_tp/matrices_intro/matrices_intro.pdf)

## Les chaînes de caractères, [HTML](prog_seq_c_tp/chaines_caracteres/index.html), [PDF](prog_seq_c_tp/chaines_caracteres/chaines_caracteres.pdf)

## Traitement d'images, [HTML](prog_seq_c_tp/transformations/index.html), [PDF](prog_seq_c_tp/transformations/transformations.pdf)

## Vector, [HTML](prog_seq_c_tp/vector/index.html), [PDF](prog_seq_c_tp/vector/vector.pdf)

## Fichier LAS, [HTML](prog_seq_c_tp/lidar/index.html), [PDF](prog_seq_c_tp/lidar/read.pdf)

## Fichier STL, [HTML](prog_seq_c_tp/stl/index.html), [PDF](prog_seq_c_tp/stl/stl.pdf)

## List-Vector, [HTML](prog_seq_c_tp/lst_vector/index.html), [PDF](prog_seq_c_tp/lst_vector/linked_vector.pdf)

## Delaunay, [HTML](prog_seq_c_tp/delaunay/index.html), [PDF](prog_seq_c_tp/delaunay/delaunay.pdf)

## TP noté 2: triangulation, [HTML](prog_seq_c_tp/lidar_triangulation/index.html), [PDF](prog_seq_c_tp/lidar_triangulation/triangulation.pdf)

## Code Morse, [HTML](prog_seq_c_tp/morse/index.html), [PDF](prog_seq_c_tp/morse/morse.pdf)

## Arbres quaternaires, [HTML](prog_seq_c_tp/quadtree/index.html), [PDF](prog_seq_c_tp/quadtree/quadtree.pdf)

## File de priorité, [HTML](prog_seq_c_tp/priority_queue/index.html), [PDF](prog_seq_c_tp/priority_queue/linked_list.pdf)

## Graphes, [HTML](prog_seq_c_tp/shortest_path/graphes.html), [PDF](prog_seq_c_tp/shortest_path/graphes.pdf), [xml_parser.h](prog_seq_c_tp/shortest_path/xml_parser.h), [xml_parser.c](prog_seq_c_tp/shortest_path/xml_parser.c), [main.c](prog_seq_c_tp/shortest_path/main.c), [villes.xml](prog_seq_c_tp/shortest_path/villes.xml), [suisse.txt](prog_seq_c_tp/shortest_path/suisse.txt)

## Floyd-Dijkstra, [HTML](prog_seq_c_tp/shortest_path/df.html), [PDF](prog_seq_c_tp/shortest_path/df.pdf), [squelette.c](prog_seq_c_tp/shortest_path/squelette/c/main.c), [Makefile](prog_seq_c_tp/shortest_path/squelette/c/Makefile), [commandes_a_tester.txt](prog_seq_c_tp/shortest_path/squelette/commandes_de_test/cmd_a_tester.txt), [output](prog_seq_c_tp/shortest_path/squelette/results_out/output)

## Tests, [HTML](prog_seq_c_tp/shortest_path/test.html), [PDF](prog_seq_c_tp/shortest_path/test.pdf)

# Exercices programmation séquentielle en Rust (2018-19)

## TP1 Rust: Nombre secret, [HTML](prog_seq/exercices/01_nombre_secret/), [PDF](prog_seq/exercices/01_nombre_secret/index.pdf)
## TP2 Rust: Calcul de $\pi$, [HTML](prog_seq/exercices/02_calcul_pi/), [PDF](prog_seq/exercices/02_calcul_pi/index.pdf)
## TP3 Rust: Tableaux, [HTML](prog_seq/exercices/03_tableaux/), [PDF](prog_seq/exercices/03_tableaux/index.pdf)
## TP4 Rust: Couverture de la reine, [HTML](prog_seq/exercices/04_reine/), [PDF](prog_seq/exercices/04_reine/index.pdf)
## TP5 Rust: Puissance 4, [HTML](prog_seq/exercices/05_puissance4/), [PDF](prog_seq/exercices/05_puissance4/index.pdf)
## TP6 Rust: Listes, [HTML](prog_seq/exercices/06_listes/), [PDF](prog_seq/exercices/06_listes/index.pdf)
## TP7 Rust: Reed-Solomon, [HTML](prog_seq/exercices/07_reed_solomon/index.html), [PDF](prog_seq/exercices/07_reed_solomon/index.pdf)
## TP8 Rust: Transformation d'images, [HTML](prog_seq/exercices/08_transformation_images/index.html), [PDF](prog_seq/exercices/08_transformation_images/index.pdf)
## TP9 Rust: Problème du voyageur de commerce, [HTML](prog_seq/exercices/09_voyageur_commerce/index.html), [PDF](prog_seq/exercices/09_voyageur_commerce/index.pdf)
